低危 ImageMagick拒绝服务漏洞(CNVD-2017-09694)

CVE编号

CVE-2017-9500

利用情况

暂无

补丁情况

官方补丁

披露时间

2017-06-08
漏洞描述
ImageMagick是美国ImageMagick Studio公司的一套开源的图象处理软件。该软件可读取、转换、写入多种格式的图片。

ImageMagick 7.0.5-8 Q16版本中的‘ResetImageProfileIterator’函数存在拒绝服务漏洞。攻击者可借助特制的文件利用该漏洞造成拒绝服务(断言失败)。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://github.com/ImageMagick/ImageMagick/issues/500
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 imagemagick imagemagick 7.0.5-8 -
运行在以下环境
系统 debian DPKG * Up to
(excluding)
0
运行在以下环境
系统 debian_7 imagemagick * Up to
(excluding)
8:6.7.7.10-5+deb7u15
运行在以下环境
系统 debian_8 imagemagick * Up to
(excluding)
8:6.8.9.9-5+deb8u2
运行在以下环境
系统 debian_9 imagemagick * Up to
(excluding)
8:6.9.7.4+dfsg-11+deb9u2
运行在以下环境
系统 opensuse_Leap_42.3 imagemagick * Up to
(excluding)
6.8.8.1-58.1
运行在以下环境
系统 suse_11_SP4 imagemagick * Up to
(excluding)
6.4.3.6-78.40.1
运行在以下环境
系统 suse_12 ImageMagick * Up to
(excluding)
6.8.8.1-71.47
运行在以下环境
系统 suse_12_SP2 imagemagick * Up to
(excluding)
1-6.8.8.1-71.47.1
运行在以下环境
系统 suse_12_SP3 imagemagick * Up to
(excluding)
1-6.8.8.1-71.47.1
运行在以下环境
系统 ubuntu_18.04.5_lts imagemagick * Up to
(excluding)
8:6.9.7.4+dfsg-16ubuntu2
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-617 可达断言
阿里云安全产品覆盖情况